import sform

from staff.preprofile.forms.fields import (
    official_fields,
    ticket_fields,
)


class RotationEditForm(sform.SForm):
    hr_ticket = ticket_fields.hr_ticket(required=False)
    adopt_ticket = ticket_fields.adopt_ticket(required=False)

    join_at = official_fields.join_at(required=False)
    department = official_fields.department()
    date_completion_internship = official_fields.date_completion_internship(readonly=False)
